Skip to main content
`Ctrl`+`K`

# DMCompositeRestoreLocalAccessArray

Returns the vectors obtained with `DMCompositeGetLocalAccessArray()`.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeRestoreLocalAccessArray(DM dm, Vec pvec, PetscInt nwanted, const PetscInt wanted[], Vec *vecs)

Collective

## Input Parameters

- dm - the `DMCOMPOSITE` object

- pvec - packed vector

- nwanted - number of vectors wanted

- wanted - sorted array of vectors wanted, or `NULL` to restore all vectors

- vecs - array of local vectors

## Note

`nwanted` and `wanted` must match the values given to `DMCompositeGetLocalAccessArray()` otherwise the call will fail.

## See Also

`DMCOMPOSITE`, `DM`, `DMCompositeGetLocalAccessArray()`, `DMCompositeRestoreAccessArray()`, `DMCompositeRestoreAccess()`, `DMCompositeRestoreEntries()`, `DMCompositeScatter()`, `DMCompositeGather()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages